About
Retrieve details of your projects with any one of the following requests. Projects (also known as Properties) are containers for your phone numbers and configurations.
Resource URI
Complete details about your projects are requested with any one of the following calls. Requests are either for a single project or projects associated with an account. Default number of projects returned from a single request is 50.
GET
/v2/Properties/[PropertySid]
or
/v2/Properties
Request
URI Parameters
| Parameter | Type | Description |
|---|---|---|
| PropertySid | string | Retrieve the details of this single project. |
Optional Include Parameters
These resource parameters are to paginate the list of projects if the request made is for account projects.
| Parameter | Type | Description |
|---|---|---|
| Results_Count (Optional) | integer | Specify the number of results to return. Default number of results is 50. |
| Results_Skip (Optional) | integer | Specify a number of records to skip before starting results. This enables custom pagination. |
Response
200 – OK
Our service will respond to every project details request with JSON formatted data. Requests for project details will respond with either a single object or a list of objects containing the following parameters.
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| Projects | array | A list of objects containing the details of each project |
| TotalCount | integer | The total number of projects available that match the request. |
| NextPageToken | string | A token that can be supplied in a subsequent request to retrieve the next page of results. |
Project Object Parameters
| Parameter | Type | Description |
|---|---|---|
| AccountSid | string | The account identification associated with the project. |
| PropertySid | string | The unique identification for the project. |
| Name | string | The name of the project. |
| MainDomain | string | The main domain associated with the project. |
| TimeZone | string | The configured time zone for the project. |
| SmsEnabled | boolean | Whether SMS functionality is enabled for the project. |
| CallRecordingEnabled | boolean | Whether call recording is enabled for the project. |
| IntegrationsEnabled | boolean | Whether external integrations are enabled for the project. |
| Active | boolean | Whether the project is currently active. |
Example: An example response for a list of projects.
{
"Properties": [
{
"AccountSid": "AG5T3HFR5ASD54FS5GB3SDAFJAKSH6DS",
"PropertySid": "S1234567890ABCDEF1234567890ABCDE",
"Name": "My Awesome Project",
"MainDomain": "example.com",
"TimeZone": "AUS Eastern Standard Time",
"SmsEnabled": true,
"CallRecordingEnabled": false,
"IntegrationsEnabled": true,
"Active": true
}
],
"TotalCount": 1,
"NextPageToken": null
}
Example: An example response for a single project.
{
"Property": {
"AccountSid": "AG5T3HFR5ASD54FS5GB3SDAFJAKSH6DS",
"PropertySid": "S1234567890ABCDEF1234567890ABCDE",
"Name": "My Awesome Project",
"MainDomain": "example.com",
"TimeZone": "AUS Eastern Standard Time",
"SmsEnabled": true,
"CallRecordingEnabled": false,
"IntegrationsEnabled": true,
"Active": true
}
}
400 - Error
For error codes and messages, please refer to the REST API Error Codes page.